API referenceTikTok
GET /accounts/{id}/tiktok/videos
The creator's public videos with views, likes, comments and shares, newest first (Display API video/list, needs video.list); videoIds reads up to 20 specific videos (video/query)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringAccount id
cursor?stringnextCursor from the previous page
limit?integerMaximum items (default 20, max 20)
Range
1 <= value <= 20Default
20videoIds?stringComma-separated video ids (max 20) instead of listing
{accountId, platform, videos, nextCursor?, hasMore}
application/json- response
accountId?stringplatform?stringvideos?array<>nextCursor?stringPass as cursor for the next page
hasMore?booleancurl -X GET 'https://example.com/api/v1/accounts/string/tiktok/videos'Example Response
{ "accountId": "string", "platform": "string", "videos": [ { "id": "string", "title": "string", "description": "string", "createTime": "2019-08-24T14:15:22Z", "durationSec": 0, "coverImageUrl": "string", "shareUrl": "string", "embedLink": "string", "width": 0, "height": 0, "metrics": { "views": 0, "likes": 0, "comments": 0, "shares": 0 } } ], "nextCursor": "string", "hasMore": true}